snd_dma_get_reserved_buf
Prev | Chapter 22. Sound Devices | Next

## Name

snd_dma_get_reserved_buf — get the reserved buffer for the given device

## Synopsis

`size_t snd_dma_get_reserved_buf (` | struct snd_dma_buffer * | dmab,
| unsigned int | id`)`;

## Arguments

`dmab`

  the buffer allocation record to store

`id`

  the buffer id

## Description

Looks for the reserved-buffer list and re-uses if the same buffer is found in the list. When the buffer is found, it's removed from the free list.

Returns the size of buffer if the buffer is found, or zero if not found.

Prev | Up | Next
snd_dma_free_pages | Home | snd_dma_reserve_buf